# gRPC Distributed Systems Example

* gRPC Documentation: https://grpc.io/docs/
* Protocol Buffers 3: https://protobuf.dev/programming-guides/proto3 ([Generating...](https://protobuf.dev/programming-guides/proto3/#generating))

# Project Layout

The project uses [gradle](https://gradle.org/) to _auto-compile_ the `.proto` files into `.java` stubs given 
that you place them under `src/main/proto`.

If using `IntelliJ`, in order for the stubs classes to be generated you need to build the project, either 
by using the menu `Build > Build Project` or pressing (`Ctrl + F9` / `CMD + F9`).

# Test Run

* Open and Run the `pt.ipb.dsys.grpc.ServerMain` class
* Open and Run the `pt.ipb.dsys.grpc.ClientMain` class



